package com.hchyun.test.dao;

import java.util.List;
import com.hchyun.test.entity.RelA;

/**
 * 测试aMapper接口
 * 
 * @author hchyun
 * @date 2021-02-26
 */
public interface RelADao {
    /**
     * 查询测试a
     * 
     * @param aid 测试aID
     * @return 测试a
     */
    RelA selectRelAById(Long aid);

    /**
     * 查询测试a列表
     * 
     * @param relA 测试a
     * @return 测试a集合
     */
    List<RelA> selectRelAList(RelA relA);

    /**
     * 新增测试a
     * 
     * @param relA 测试a
     * @return 结果
     */
    int insertRelA(RelA relA);

    /**
     * 修改测试a
     * 
     * @param relA 测试a
     * @return 结果
     */
    int updateRelA(RelA relA);

    /**
     * 删除测试a
     * 
     * @param aid 测试aID
     * @return 结果
     */
    int deleteRelAById(Long aid);

    /**
     * 批量删除测试a
     * 
     * @param aids 需要删除的数据ID
     * @return 结果
     */
    int deleteRelAByIds(Long[] aids);
}
